package cn.com.ctop.kuaishou.modules.app.mapper;


import cn.com.ctop.kuaishou.modules.app.entity.KuaishouAccountBalanceBudget;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 快手-账余额、预算
 *
 * @author: jeecg-boot
 * @date: 2021-04-16
 * @cersion: V1.0
 */
public interface KuaishouAccountBalanceBudgetMapper extends BaseMapper<KuaishouAccountBalanceBudget> {

    void replace(KuaishouAccountBalanceBudget budget);

    void updateAllIsInvalidState();

    KuaishouAccountBalanceBudget queryByAccountId(@Param("accountId") Long accountId);
}
