package cn.com.ctop.kuaishou.modules.label.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 素材标签
 * @Author: zzy
 * @Date: 2021-07-30
 * @Version: V1.0
 */
@Mapper
public interface MaterialLabelMapper {
    /**
     * 查询所有素材
     */
    List<String> getMateriaSignature();

    /**
     * 获取素材产生消耗的最早日期
     */
    String getMaterialFirstDate(@Param("signature")String signature);
}
